Bug 196768 - NumberFormatException: For input string: ""
NumberFormatException: For input string: ""
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
7.0
All All
: P1 (vote)
: 7.0
Assigned To: Egor Ushakov
issues@cnd
EXCEPTIONS_REPORT
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-16 12:21 UTC by dorirad
Modified: 2011-03-21 16:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.58 KB, text/plain)
2011-03-16 12:21 UTC, dorirad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dorirad 2011-03-16 12:21:37 UTC
This bug was originally marked as duplicate of bug 193352, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE 7.0 Beta 2 (Build 201102140001)
VM: Java HotSpot(TM) 64-Bit Server VM, 19.0-b09, Java(TM) SE Runtime Environment, 1.6.0_23-b05
OS: Linux

User Comments:
dorirad: trying to run a debugger on a project that was cerated using CMake

GUEST: error when trying to start debugging

GUEST: Debugging c code




Stacktrace: 
java.lang.NumberFormatException: For input string: ""
   at java.lang.NumberFormatException.forInputString(NumberFormatException.java:48)
   at java.lang.Integer.parseInt(Integer.java:470)
   at java.lang.Integer.parseInt(Integer.java:499)
   at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerImpl.extractPid1(GdbDebuggerImpl.java:945)
   at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerImpl.access$700(GdbDebuggerImpl.java:136)
   at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerImpl$InfoProcMICmd.onDone(GdbDebuggerImpl.java:1062)
Comment 1 dorirad 2011-03-16 12:21:40 UTC
Created attachment 107043 [details]
stacktrace
Comment 2 Egor Ushakov 2011-03-16 15:23:26 UTC
if possible please attach gdb log (http://wiki.netbeans.org/GdbLog)
Comment 3 Egor Ushakov 2011-03-16 16:59:35 UTC
fixed in:
http://hg.netbeans.org/cnd-main/rev/8e4ab8c25e26
Comment 4 Quality Engineering 2011-03-17 09:53:49 UTC
Integrated into 'main-golden', will be available in build *201103170400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8e4ab8c25e26
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #196768 (NumberFormatException: For input string: "")
Comment 5 Egor Ushakov 2011-03-17 10:15:15 UTC
integrated into release70:
http://hg.netbeans.org/releases/rev/f0c47e882370
Comment 6 Alexander Pepin 2011-03-21 16:13:14 UTC
can not reproduce in RC1.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo